Subject: bug#64647: Re: bug#64647: treesit-query-error due to a recent change to tree-sitter-javascript grammar definition

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Jul 2023 07:48:37 +0300

> From: Vincenzo Pupillo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 15 Jul 2023 21:39:49 +0200
> 
> > I think what I wrote: that we should try to make our modes work with
> > reasonably old versions of the grammars, if that is practical.  While
> > in general it could be a very difficult, if not impossible, to achieve
> > that, the question is whether this particular issue can be solved in
> > that manner.  If it can, we should do it.
> I can rewrite both patches in the same way I had patched java-ts-mode. 

That would be good, thanks.

> Basically, there are only two changes. I think it would be useful to have a 
> function to check whether grammar features are supported or not. For example, 
> a specialized version of treesit-query-validate that could also be used in 
> interactive mode (to simplify the development).

Yes, a good idea.

> Do I rewrite the patches?

Yes, please.